Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transporter
Class TransporterClient

    java.lang.Object
      org.jboss.remoting.transporter.TransporterClient

All Implemented Interfaces:
  java.io.Serializable, java.lang.reflect.InvocationHandler

    public class TransporterClient

extends java.lang.Object
implements java.lang.reflect.InvocationHandler, java.io.Serializable

Class to be used as a factory via static method calls to get remote proxy to POJO that exists within a external process. Note, if using clustered, will use the multicast detector by default.

Author:
  Tom Elrod
See Also:
  Serialized Form

Method Summary
`static java.lang.Object` | `createTransporterClient(InvokerLocator locator, java.lang.Class targetClass)` Create a remote proxy to a POJO on a remote server.
`static java.lang.Object` | `createTransporterClient(java.lang.String locatorURI, java.lang.Class targetClass)` Create a remote proxy to a POJO on a remote server.
`static java.lang.Object` | `createTransporterClient(java.lang.String locatorURI, java.lang.Class targetClass, boolean clustered)` Create a remote proxy to a POJO on a remote server.
`static java.lang.Object` | `createTransporterClient(java.lang.String locatorURI, java.lang.Class targetClass, LoadBalancer loadBalancer)` Create a remote proxy to a POJO on a remote server.
`static void` | `destroyTransporterClient(java.lang.Object transporterClient)` Needs to be called by user when no longer need to make calls on remote POJO.
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` The method called when anyone calls on the dynamic proxy returned by getProcessor().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTransporterClient

    public static java.lang.Object createTransporterClient(java.lang.String locatorURI,
                                                           java.lang.Class targetClass,
                                                           boolean clustered)
                                                    throws java.lang.Exception

  Create a remote proxy to a POJO on a remote server.

  Parameters:
    `locatorURI` - - the remoting locator uri to the target server where the target POJO exists.
    `targetClass` - - the interface class of the POJO will be calling upon.
    `clustered` - - true will cause the transporter to look for other remoting serves that have the POJO running and include it in the client's target list. If a call on first target fails, will seamlessly fail over to one of the other discovered targets.
  Returns:
    dynamic remote proxy typed to the interface specified by the targetClass param.
  Throws:
    `java.lang.Exception`

### createTransporterClient

    public static java.lang.Object createTransporterClient(java.lang.String locatorURI,
                                                           java.lang.Class targetClass,
                                                           LoadBalancer loadBalancer)
                                                    throws java.lang.Exception

  Create a remote proxy to a POJO on a remote server.

  Parameters:
    `locatorURI` - - the remoting locator uri to the target server where the target POJO exists.
    `targetClass` - - the interface class of the POJO will be calling upon.
    `loadBalancer` - - policy for selecting which target server to use from list of available servers.
  Returns:
    dynamic remote proxy typed to the interface specified by the targetClass param.
  Throws:
    `java.lang.Exception`

### createTransporterClient

    public static java.lang.Object createTransporterClient(java.lang.String locatorURI,
                                                           java.lang.Class targetClass)
                                                    throws java.lang.Exception

  Create a remote proxy to a POJO on a remote server.

  Parameters:
    `locatorURI` - - the remoting locator uri to the target server where the target POJO exists.
    `targetClass` - - the interface class of the POJO will be calling upon.
  Returns:
    dynamic remote proxy typed to the interface specified by the targetClass param.
  Throws:
    `java.lang.Exception`

### createTransporterClient

    public static java.lang.Object createTransporterClient(InvokerLocator locator,
                                                           java.lang.Class targetClass)
                                                    throws java.lang.Exception

  Create a remote proxy to a POJO on a remote server.

  Parameters:
    `locator` - - the remoting locator to the target server where the target POJO exists.
    `targetClass` - - the interface class of the POJO will be calling upon.
  Returns:
    dynamic remote proxy typed to the interface specified by the targetClass param.
  Throws:
    `java.lang.Exception`

### destroyTransporterClient

    public static void destroyTransporterClient(java.lang.Object transporterClient)

  Needs to be called by user when no longer need to make calls on remote POJO. Otherwise will maintain remote connection until this is called.

  Parameters:
    `transporterClient` -

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  The method called when anyone calls on the dynamic proxy returned by getProcessor(). This method will simply convert the proxy call info into a remoting invocation on the target remoting server (using a NameBaseInvocation).

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Parameters:
    `proxy` -
    `method` -
    `args` -
  Returns:
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.